Skip to main content
GET
/
project
/
{project_id}
/
location
/
{location}
/
vm
/
{vm_reference}
Get VM details
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/vm/{vm_reference} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ubicloud.com/project/{project_id}/location/{location}/vm/{vm_reference}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/vm/{vm_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "boot_image": "<string>",
  "id": "vmhfy8gff8c67hasb0eez2k1pd",
  "ip4": "127.0.0.1",
  "ip4_enabled": true,
  "ip6": "2606:4700:3108::ac42:2835",
  "location": "eu-central-h1",
  "name": "my-vm-name",
  "size": "<string>",
  "state": "<string>",
  "storage_size_gib": 123,
  "unix_user": "<string>",
  "firewalls": [
    {
      "description": "<string>",
      "firewall_rules": [
        {
          "cidr": "<string>",
          "id": "fraz0q3vbrpa7pkg7zbmah9csn",
          "port_range": "<string>",
          "description": "<string>"
        }
      ],
      "id": "fwfg7td83em22qfw9pq5xyfqb7",
      "location": "<string>",
      "name": "<string>"
    }
  ],
  "private_ipv4": "127.0.0.1",
  "private_ipv6": "2606:4700:3108::ac42:2835",
  "subnet": "<string>",
  "gpu": "<string>"
}
{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

vm_reference
string
required

Virtual machine ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A VM

boot_image
string
required

Boot image of the VM

id
string
required

ID of the VM

Pattern: ^vm[0-9a-hj-km-np-tv-z]{24}$
Example:

"vmhfy8gff8c67hasb0eez2k1pd"

ip4
string<ipv4> | null
required

IPv4 address

ip4_enabled
boolean
required

Whether IPv4 is enabled

ip6
string<ipv6> | null
required

IPv6 address

location
string
required

Location of the VM

Example:

"eu-central-h1"

name
string
required

Name of the VM

Example:

"my-vm-name"

size
string
required

Size of the underlying VM

state
string
required

State of the VM

storage_size_gib
integer
required

Storage size in GiB

unix_user
string
required

Unix user of the VM

firewalls
object[]
required

List of firewalls

private_ipv4
string<ipv4>
required

Private IPv4 address

private_ipv6
string<ipv6>
required

Private IPv6 address

subnet
string
required

Subnet of the VM

gpu
string

GPU configuration